File: expected.css

package info (click to toggle)
node-postcss-modules-extract-imports 3.1.0-1
  • links: PTS, VCS
  • area: main
  • in suites: forky, sid
  • size: 480 kB
  • sloc: javascript: 316; makefile: 2
file content (37 lines) | stat: -rw-r--r-- 925 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
:import("path/library.css") {
  i__imported_importName_0: importName;
  i__imported_firstImport_1: firstImport;
  i__imported_secondImport_2: secondImport;
  i__imported_importName2_6: importName2;
  i__imported_importName3_7: importName3;
  i__imported_importName4_8: importName4;
}

:import("./aa.css") {
  i__imported_a_3: a;
}

:import("./bb.css") {
  i__imported_b_4: b;
}

:import("./cc.css") {
  i__imported_c_5: c;
}

:local(.exportName) {
  composes: i__imported_importName_0, global(beforeName), global(importName) global(secondImport), i__imported_firstImport_1 i__imported_secondImport_2;
  other: rule;
}

:local(.duplicate) {
  composes: i__imported_a_3, i__imported_b_4, i__imported_c_5, i__imported_a_3, i__imported_c_5;
}

:local(.spaces) {
  composes: i__imported_importName_0 i__imported_importName2_6, i__imported_importName3_7 i__imported_importName4_8;
}

:local(.unknown) {
  composes: foo bar, baz;
}